Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Unable to install on Nokia6670

 
Ankit Bhurat
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello Every1

I have a made a small application of displaying random lines with random colors. I am unable to port it to my Nokia 6670. It gives the following error :

UNABLE TO INSTALL
INVALID VERSION !

Someone told me it is because of the Random Class I am using. Please advice me.

It runs perfectly fine on my emulator.

Below are the specification of my application .


JAr Manifest

MicroEdition-Profile: MIDP-2.0
MicroEdition-Configuration: CLDC-1.1
MIDlet-Version: 1.0
MIDlet-Name: canvas
MIDlet-Vendor: Administrator
MIDlet-1: canvasMIDlet, , Canvas.canvasMIDlet
--------------------------------
Application Descriptor


MicroEdition-Profile: MIDP-2.0
MicroEdition-Configuration: CLDC-1.1
MIDlet-Version: 1.0
MIDlet-Name: canvas
MIDlet-Vendor: Administrator
MIDlet-Jar-URL: canvas.jar
MIDlet-Jar-Size: 3166
MIDlet-1: canvasMIDlet, , Canvas.canvasMIDlet

----------------------------------------

JAR File Size 3.09 KB


Thanks
Ankit
 
Mark Spritzler
ranger
Sheriff
Posts: 17278
6
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Well there are two possibilites that I can guess.

1. The phone only supports CLDC 1.0? I doubt that on a phone like the 6670, but I know some Series 60 phones, they had MIDP 2.0 but only CLDC 1.0 Which would give you that problem.

2. The phone does not allow MIDP 1.0 applications. Since your phone should be MIDP 2.0 and CLDC 1.0 or 1.1 Why not change your JAD to be MIDP 2.0 instead?

Just guesses.

Mark
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic